Bug 3985 - Search keyword order inconsistency
Search keyword order inconsistency
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Search/Indexing
2.2.3
PC Mac OS X 10.0
: P1 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 15:29 PST by Matthew Crider
Modified: 2009-02-17 16:09 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against Harvester pre-2.3 CVS (750 bytes, patch)
2009-01-07 15:43 PST, Matthew Crider
Details | Diff
Patch against OCS pre-2.3 and pre-2.1.2 CVS (745 bytes, patch)
2009-01-07 15:43 PST, Matthew Crider
Details | Diff
Patch against OJS pre-2.3 and pre 2.2.3 CVS (755 bytes, patch)
2009-01-07 15:43 PST, Matthew Crider
Details | Diff
Patch against Harvester 2.0.1 (516 bytes, patch)
2009-02-17 16:09 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2009-01-07 15:29:14 PST
See http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&p=15225#p15225

Since searching uses conjunction implicitly, searching with a keyword that is indexed and a keyword that is not indexed should always result in no results.  However, if the second keyword is indexed, it will return results that have been indexed under the second keyword.
Comment 1 Matthew Crider 2009-01-07 15:43:14 PST
Created attachment 1299 [details]
Patch against Harvester pre-2.3 CVS
Comment 2 Matthew Crider 2009-01-07 15:43:26 PST
Created attachment 1300 [details]
Patch against OCS pre-2.3 and pre-2.1.2 CVS
Comment 3 Matthew Crider 2009-01-07 15:43:38 PST
Created attachment 1301 [details]
Patch against OJS pre-2.3  and pre 2.2.3 CVS
Comment 4 Alec Smecher 2009-02-04 15:20:19 PST
Matt, go ahead and commit to all trees.
Comment 5 Matthew Crider 2009-02-04 16:20:34 PST
Fixed.
Comment 6 Alec Smecher 2009-02-17 16:09:22 PST
Created attachment 1457 [details]
Patch against Harvester 2.0.1